<?php
if (!defined('HUCART_COM')) exit('HuCart.COM No direct script access allowed');
class Users extends HC_Controller
{
	//注意无须构造函数,使用了构造函数得重构父类 parent::__construct();
	var $master_act = 'users';
	var $info_prefix = 'use_';
	function __construct()
	{
		parent::__construct();	
		$this -> load_lang('adminsys/'.$this -> master_act);
		$this -> view -> assign('master_act', $this -> master_act);
		$this -> view -> assign('info_prefix',	$this -> info_prefix);
		$this -> load('admin');
		$this -> admin -> online_admin();
		$this -> load_db();
		$this -> load('helper');     //加载辅助类
		//$this -> load_model('sort'); //加载分类模型
	}


	function info_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( use_name LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'use_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'use_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('use_id' => array('th'=>1,'td'=>'id'),'use_name'=> array('th'=>0,'td'=>''),'use_email'=> array('th'=>0,'td'=>''),'use_locked'=> array('th'=>1,'td'=>'arr'),'use_login_time'=> array('th'=>1,'td'=>'time'),'use_login_ip'=>array('th'=>1,'td'=>''),'use_reg_ip'=>array('th'=>1,'td'=>''),'use_reg_time'=>array('th'=>1,'td'=>'time'));
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
 	
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = ' 1 ';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		

		$key_arr['use_locked'] 	   = $this->lang['use_locked_arr'];
		
 
		
		$opt = array( 'edit'=> $this->lang['edit'],'delete'=> $this->lang['delete']);
		
		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr , $this -> master_act ,$opt );
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);

		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);
		
		$this -> view -> display('table_list.tpl');


	}
	
	
	
	function trash_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( use_name LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'use_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'use_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		//列表字段显示
		$show_arr = array('use_id' => array('th'=>1,'td'=>'id'),'use_name'=> array('th'=>0,'td'=>''),'use_pay'=> array('th'=>0,'td'=>'img'),'sort_name'=> array('th'=>1,'td'=>''),'use_view'=> array('th'=>1,'td'=>''),'use_count'=>array('th'=>1,'td'=>''),'use_login_time'=>array('th'=>1,'td'=>'arr'),'use_up_time'=>array('th'=>1,'td'=>'time'));
		
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
 
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = 'use_delete =1';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['use_login_time'] = $this->lang['enabled_arr'];

		$lang_arr['edit'] 		= $this->lang['edit'];
		$lang_arr['is_delete']  = $this->lang['is_delete'];
		$lang_arr['delete'] 	= $this->lang['delete'];
		$lang_arr['restore'] 	= $this->lang['restore'];

		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr ,$lang_arr ,$this -> master_act , 'trash');
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);
		
		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);
		$this -> view -> display('table_trash.tpl');
		
	}


	function recycle()
	{
		
		$info_id = $infoid = $this -> input ->  get["id"];
		
		$uprec = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET use_delete = 1  WHERE  `use_id` in ( $info_id ) ";
		$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');

	}
	
	//还原
	function restore( )
	{
		$infoid = $this -> input ->  delUrl($_REQUEST["id"]);
		
		$uprec = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET use_delete = 0  WHERE  `use_id` in ( $infoid ) ";
		@$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$_LANG['bd_restoresusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	

	function delete( )
	{
		$info_id   = $this -> input ->  get["id"];
		$insert_ip = " DELETE FROM `".$this -> db -> prefix.$this -> master_act."` WHERE `use_id` in ( $info_id ) ";

		$this -> db -> query_sql($insert_ip);
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function show( )
	{
		$info_id = $this -> input ->  get["id"];
		$upshow = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET use_login_time = 1  WHERE `use_id` in ( $info_id ) ";

		$this -> db -> query_sql($upshow);
		$this -> view ->  assign('info_title',$_LANG['bd_showsusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	function hide( )
	{
		//$indel = implode(',', $delArray);
		$info_id = $this -> input ->  get["id"];
		
		$up_hide = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET use_login_time = 0  WHERE  `use_id` in ( $info_id ) ";
		$this -> db -> query_sql($up_hide);
		
		$this -> view ->  assign('info_title',$_LANG['bd_hidesusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function info(  )
	{
		$act_type 	= $this -> input -> get["act_type"];
		
		if($act_type=='edit'){
			
			$id_val = $this -> input ->  get["id"];

			$sql_query = " SELECT *  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE use_id = '".$id_val."' ORDER BY `use_id` ";
			$info = $this -> db -> select_one($sql_query);


			$desc_ckeditorLoad 	= $this -> helper -> load_ckeditor( 'use_desc' ,$info['use_desc'],'Basic');//加载文本编辑器
			$this -> view -> assign( 'desc_ckeditorLoad', $desc_ckeditorLoad);

			$requests_ckeditorLoad 	= $this -> helper -> load_ckeditor( 'use_requests' ,$info['use_requests'],'Basic');//加载文本编辑器
			$this -> view -> assign( 'requests_ckeditorLoad', $requests_ckeditorLoad);

			
			$this -> view -> assign('txt_title',  $this->lang['edit_title']);
			$this -> view -> assign('edit_submit', $this->lang['edit']);
			$this -> view -> assign('info',$info);
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('sort_select_str',$sort_select_str);
			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=edit");
			
			
		}else{

			$desc_ckeditorLoad 	= $this -> helper -> load_ckeditor( 'use_desc' ,'','Basic');//加载文本编辑器
			$this -> view -> assign( 'desc_ckeditorLoad', $desc_ckeditorLoad);

			$requests_ckeditorLoad 	= $this -> helper -> load_ckeditor( 'use_requests' ,'','Basic');//加载文本编辑器
			$this -> view -> assign( 'requests_ckeditorLoad', $requests_ckeditorLoad);


			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=add");
			
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('txt_title',$this->lang['add_title']);
			$this -> view -> assign('edit_submit', $this-> lang['add']);
			
		}

		$this -> view ->  display('users_edit.tpl');
	
	}
	
	
	function edit_info( )
	{	
	
		$use_id 			= $this -> input ->  funpost("use_id");
		$use_name 		= $this -> input ->  funpost("use_name");
		$use_email 			= $this -> input ->  funpost("use_email");
		$use_type 			= $this -> input ->  funpost("use_type");
	    $use_pay 			= $this -> input ->  funpost("use_pay");
		$use_locked 			= $this -> input ->  funpost("use_locked");
		$use_reg_ip 			= $this -> input ->  funpost("use_reg_ip");
		$use_login_time 	= $this -> input ->  funpost("use_login_time");
		
		$use_sex 			= $this -> input ->  funpost("use_sex");
		$use_marriage		= $this -> input ->  funpost("use_marriage");
		$use_active_time 	= $this -> input ->  funpost("use_active_time");
		$use_active_time 	= strtotime($use_active_time);
		$use_login_ip 		= $this -> input ->  funpost("use_login_ip");
		$use_province 		= $this -> input ->  funpost("province");
		$use_city 			= $this -> input ->  funpost("city");
		$use_district 		= $this -> input ->  funpost("district");
		$use_pcd_all 		= $this -> input ->  funpost("use_pcd_all");
		

		$use_desc 			= html_entity_decode($_POST["use_desc"]);
		$use_requests 		= html_entity_decode($_POST["use_requests"]);
		

		
		$act_type = $this -> input ->  req["act_type"];


		
		if($act_type=='edit')
		{

		
			if($use_name !='' and $use_type !='' and $use_locked !=''  and $use_id !='')
			{
				$update = "UPDATE `".$this -> db -> prefix.$this -> master_act."` 
				SET  use_name = '".$use_name."' ,  use_email = '".$use_email."' ,use_type = '".$use_type."' , use_pay = '".$use_pay."' , 
				use_locked = '".$use_locked."', use_reg_ip = '".$use_reg_ip."', use_reg_ip = '".$use_reg_ip."',use_login_time = '".$use_login_time."',
				use_sex = '".$use_sex."',use_marriage = '".$use_marriage."',use_active_time = '".$use_active_time."',
				use_login_ip = '".$use_login_ip."',use_province = '".$use_province."',use_city = '".$use_city."',
				use_district = '".$use_district."',use_pcd_all = '".$use_pcd_all."',use_desc = '".$use_desc."',
				use_requests = '".$use_requests."'	WHERE  use_id = '".$use_id."' ";
				
				
				$this -> db -> query_sql( $update );
				
				$this -> view ->  assign('info_title',$this->lang['edit_success']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
				$this -> view ->  display('suggestion.tpl');
	
		
			}else{
			
				$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&id=".$use_id);
				$this -> view ->  display('suggestion.tpl');	
			}
		

		}else{
			
				if($use_name !='' and $use_type !='' and $use_locked !='')
				{
					$sql_query = " SELECT count(1) as LNUM  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE use_name = '".$use_name."' ORDER BY `use_id` ";
					$info = $this -> db -> select_one($sql_query);


					if( $info["LNUM"] < 1 )
					{
						$use_add_time = time();
						$insert_sql =" INSERT INTO `".$this -> db -> prefix.$this -> master_act."` (
						`use_name` , `use_email` , `use_type` ,  `use_pay` ,`use_locked` , `use_reg_ip` ,
						`use_login_time` , `use_sex`,`use_marriage`,`use_active_time`,`use_login_ip`,`use_province`,
						`use_city`,`use_district`,`use_pcd_all`,`use_desc`,`use_requests`,`use_add_time` ) 
						VALUES ( '$use_name','$use_email', '$use_type', '$use_pay','$use_locked','$use_reg_ip',
						'$use_login_time', '$use_sex','$use_marriage','$use_active_time','$use_login_ip','$use_province'
						,'$use_city','$use_district','$use_pcd_all','$use_desc','$use_requests','$use_add_time')";
						
						$this -> db -> query_sql($insert_sql);
						$this -> view ->  assign('info_title',$this->lang['add_success']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
						$this -> view ->  display('suggestion.tpl');	
					}else{
						
						$this -> view ->  assign('info_title',$this->lang['err_info_exist']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
						$this -> view ->  display('suggestion.tpl');	
					}
					
				}else{
					
					$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
					$this -> view ->  assign('URL_TIME',URL_TIME);
					$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
					$this -> view ->  display('suggestion.tpl');
				}
		}
		
	}




		
}